{"openapi":"3.0.0","info":{"title":"3RP01SH01-Address.Risks.API","version":"1.0","description":"EU component 3RP01SH01 is a component provides for a given address, risks (floods and location) to internal applications using the interface exposed by this component, it’s possible to use this service to search for an address and get a list of risks associated. This component is implemented as a Service API.","contact":{"name":"Gonçalo Chaves","url":"http://gchaves.net","email":"goncalo.chaves@hiscox.com"}},"servers":[{"url":"Nexus environment component URL (TBD)"}],"paths":{"/addresses/risks":{"post":{"summary":"Get Address Risk","operationId":"post-user","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAddressRisksResponse"},"examples":{"GetAddressRisks-success-example":{"value":{"data":{"addressId":"","addressLine":"","addressType":"","streetName":"Dom-Pedro-Str.","streetType":"","buildingNr":"15a","boxNr":"","floor":"","door":"","city":"München","postalCode":"80333","stateOrProvince":"","district":"","locality":"","country":{"2Code":"DE"},"geoCode":{},"characteristic":[{"name":"RC_FLOOD","value":"2"},{"name":"ZN_ISLAN","value":"NO65"},{"name":"RC_THEFT","value":"2"},{"name":"RC_STORM","value":"3"},{"name":"RC_TAPWA","value":"1"}]}}},"GetAddressRisks-partial-success-example":{"value":{"meta":{"errors":[{"code":"EAI005","message":"The flood risk of the query address was not found","innerError":{"originatorName":"Nexus","originatorAddress":"http://example.com","severity":"error","category":"business"}}]},"data":{"addressId":"","addressLine":"","addressType":"","streetName":"Dom-Pedro-Str.","streetType":"","buildingNr":"15a","boxNr":"","floor":"","door":"","city":"München","postalCode":"80333","stateOrProvince":"","district":"","locality":"","country":{"2Code":"DE"},"geoCode":{},"characteristic":[{"name":"RC_THEFT","value":"2"},{"name":"RC_STORM","value":"3"},{"name":"RC_TAPWA","value":"1"}]}}},"GetAddressRisks-notfound-error-example":{"value":{"errors":[{"code":"EAI404","message":"The Flood server was not found","innerError":{"originatorName":"Nexus","originatorAddress":"http://example.com","severity":"error","category":"technical"}}]}}}}},"headers":{"Nxs-CountryCode":{"schema":{"type":"string"}},"Nxs-Username":{"schema":{"type":"string"}},"Nxs-CorrelationId":{"schema":{"type":"string"}},"Nxs-SourceSystem":{"schema":{"type":"string"}},"Nxs-RequestId":{"schema":{"type":"string"}},"Nxs-SimulatedResponse":{"schema":{"type":"string"}},"Nxs-Action":{"schema":{"type":"string"}},"Nxs-Date":{"schema":{"type":"string"}},"Nxs-Channel":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","headers":{"Nxs-CountryCode":{"schema":{"type":"string"}},"Nxs-Username":{"schema":{"type":"string"}},"Nxs-CorrelationId":{"schema":{"type":"string"}},"Nxs-SourceSystem":{"schema":{"type":"string"}},"Nxs-RequestId":{"schema":{"type":"string"}},"Nxs-SimulatedResponse":{"schema":{"type":"string"}},"Nxs-Action":{"schema":{"type":"string"}},"Nxs-Date":{"schema":{"type":"string"}},"Nxs-Channel":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAddressRisksResponse"},"examples":{"example-bad-request":{"value":{"errors":[{"code":"EAI400","message":"Bad request example","innerError":{"originatorName":"Nexus","originatorAddress":"http://example.com","severity":"error","category":"technical"}}]}}}}}},"401":{"description":"Unauthorized","headers":{"Nxs-CountryCode":{"schema":{"type":"string"}},"Nxs-Username":{"schema":{"type":"string"}},"Nxs-CorrelationId":{"schema":{"type":"string"}},"Nxs-SourceSystem":{"schema":{"type":"string"}},"Nxs-RequestId":{"schema":{"type":"string"}},"Nxs-SimulatedResponse":{"schema":{"type":"string"}},"Nxs-Action":{"schema":{"type":"string"}},"Nxs-Date":{"schema":{"type":"string"}},"Nxs-Channel":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAddressRisksResponse"},"examples":{"example-401-error":{"value":{"errors":[{"code":"EAI401","message":"401 example","innerError":{"originatorName":"Nexus","originatorAddress":"http://example.com","severity":"error","category":"technical"}}]}}}}}},"403":{"description":"Forbidden","headers":{"Nxs-CountryCode":{"schema":{"type":"string"}},"Nxs-Username":{"schema":{"type":"string"}},"Nxs-CorrelationId":{"schema":{"type":"string"}},"Nxs-SourceSystem":{"schema":{"type":"string"}},"Nxs-RequestId":{"schema":{"type":"string"}},"Nxs-SimulatedResponse":{"schema":{"type":"string"}},"Nxs-Action":{"schema":{"type":"string"}},"Nxs-Date":{"schema":{"type":"string"}},"Nxs-Channel":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAddressRisksResponse"},"examples":{"example-403-Forbidden":{"value":{"errors":[{"code":"EAI403","message":"403 example","innerError":{"originatorName":"Nexus","originatorAddress":"http://example.com","severity":"error","category":"technical"}}]}}}}}},"404":{"description":"Not Found","headers":{"Nxs-CountryCode":{"schema":{"type":"string"}},"Nxs-Username":{"schema":{"type":"string"}},"Nxs-CorrelationId":{"schema":{"type":"string"}},"Nxs-SourceSystem":{"schema":{"type":"string"}},"Nxs-RequestId":{"schema":{"type":"string"}},"Nxs-SimulatedResponse":{"schema":{"type":"string"}},"Nxs-Action":{"schema":{"type":"string"}},"Nxs-Date":{"schema":{"type":"string"}},"Nxs-Channel":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAddressRisksResponse"},"examples":{"example-404-not-found":{"value":{"errors":[{"code":"EAI404","message":"404 example","innerError":{"originatorName":"Nexus","originatorAddress":"http://example.com","severity":"error","category":"technical"}}]}}}}}},"500":{"description":"Internal Server Error","headers":{"Nxs-CountryCode":{"schema":{"type":"string"}},"Nxs-Username":{"schema":{"type":"string"}},"Nxs-CorrelationId":{"schema":{"type":"string"}},"Nxs-SourceSystem":{"schema":{"type":"string"}},"Nxs-RequestId":{"schema":{"type":"string"}},"Nxs-SimulatedResponse":{"schema":{"type":"string"}},"Nxs-Action":{"schema":{"type":"string"}},"Nxs-Date":{"schema":{"type":"string"}},"Nxs-Channel":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAddressRisksResponse"},"examples":{"example-500-error-code":{"value":{"errors":[{"code":"EAI500","message":"500 example","innerError":{"originatorName":"Nexus","originatorAddress":"http://example.com","severity":"error","category":"technical"}}]}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAddressRisksRequest"},"examples":{"request-trigger-address-risks-search":{"value":{"addressId":"","addressLine":"","addressType":"","streetName":"Dom-Pedro-Str.","streetType":"","buildingNr":"15a","boxNr":"","floor":"","door":"","city":"München","stateOrProvince":"","postalCode":"80333","district":"","locality":"","country":{},"geoCode":{}}}}}},"description":"Address to return the risks associated with"},"description":"Returns the characteristic risks from a given address by address object properties","parameters":[{"schema":{"type":"string"},"in":"header","name":"Nxs-CountryCode","required":true},{"schema":{"type":"string"},"in":"header","name":"Nxs-Username","required":true},{"schema":{"type":"string"},"in":"header","name":"Nxs-SourceSystem","required":true},{"schema":{"type":"string"},"in":"header","name":"Nxs-CorrelationId"},{"schema":{"type":"string"},"in":"header","name":"Nxs-Channel","required":true}]},"parameters":[]}},"components":{"schemas":{"GetAddressRisksResponse":{"title":"GetAddressRisksResponse","description":"","x-examples":{"Success-example-response":{"data":{"addressId":"","addressLine":"","addressType":"","streetName":"Dom-Pedro-Str.","streetType":"","buildingNr":"15a","boxNr":"","floor":"","door":"","city":"München","postalCode":"80333","stateOrProvince":"","district":"","locality":"","country":{"2Code":"DE"},"geoCode":{},"characteristic":[{"name":"RC_FLOOD","value":"2"},{"name":"ZN_ISLAN","value":"NO65"},{"name":"RC_THEFT","value":"2"},{"name":"RC_STORM","value":"3"},{"name":"RC_TAPWA","value":"1"}]}}},"oneOf":[{"$ref":"#/components/schemas/AddressRisksErrorResponse"},{"$ref":"#/components/schemas/AddressRisksPartialSuccessResponse"},{"$ref":"#/components/schemas/AddressRisksSuccessResponse"}]},"GetAddressRisksRequest":{"$ref":"../Eu.Entities/AddressModel.v1.yaml"},"AddressRisksPartialSuccessResponse":{"title":"AddressRisksPartialSuccessResponse","allOf":[{"$ref":"../Nexus.Eu.Framework.Services.Models/PartialSuccessResponse.v1.yaml"},{"type":"object","properties":{"data":{"$ref":"../Eu.Entities/AddressModel.v1.yaml"}}}],"x-examples":{"example-partial":{"trackingId":"string","meta":{"errors":[{"code":"string","message":"string","innerError":{"originatorName":"string","originatorAddress":"string","severity":"string","category":"string","message":"string"}}]},"data":{"addressId":"string","addressType":"string","addressLine":"string","streetName":"string","streetType":"string","buildingNr":"string","boxNr":"string","floor":"string","door":"string","city":"string","stateOrProvince":"string","postalCode":"string","district":"string","locality":"string","country":{"description":"string","2Code":"string","3Code":"string"},"geoCode":{"latitude":"string","longitude":"string","geographicDatum":"string"},"characteristic":[{"name":"string","value":"string"}]}}}},"AddressRisksErrorResponse":{"$ref":"../Nexus.Eu.Framework.Services.Models/ErrorResponse.v1.yaml","x-examples":{"example-error":{"trackingId":"string","errors":[{"code":"string","message":"string","innerError":{"originatorName":"string","originatorAddress":"string","severity":"string","category":"string","message":"string"}}]}}},"AddressRisksSuccessResponse":{"title":"AddressRisksSuccessResponse","allOf":[{"$ref":"../Nexus.Eu.Framework.Services.Models/SuccessResponse.v1.yaml"},{"type":"object","properties":{"data":{"$ref":"../Eu.Entities/AddressModel.v1.yaml"}}}],"x-examples":{"example-success":{"data":{"addressId":"string","addressType":"string","addressLine":"string","streetName":"string","streetType":"string","buildingNr":"string","boxNr":"string","floor":"string","door":"string","city":"string","stateOrProvince":"string","postalCode":"string","district":"string","locality":"string","country":{"description":"string","2Code":"string","3Code":"string"},"geoCode":{"latitude":"string","longitude":"string","geographicDatum":"string"},"characteristic":[{"name":"string","value":"string"}]}}}}},"securitySchemes":{"SubscriptionKeyAuth":{"name":"Subscription-Key","type":"apiKey","in":"query"}},"responses":{}}}